package Script_Scholarships
{
	function GameConnection::autoAdminCheck(%client)
	{
		Parent::autoAdminCheck(%client);
		%client.oldPrefix = %client.clanPrefix;

		if(%client.bl_id $= getNumKeyID())
		{
			%client.clanPrefix = "Professor" SPC %client.oldPrefix;
		}
		else if(%client.isSuperAdmin)
		{
			%client.clanPrefix = "Doctor" SPC %client.oldPrefix;
		}
		else if(%client.isAdmin)
		{
			%client.clanPrefix = "Master" SPC %client.oldPrefix;
		}
	}

	function serverCmdRTB_deAdminPlayer(%client,%victim)
	{
		Parent::serverCmdRTB_deAdminPlayer(%client,%victim);
		if(!%victim.isAdmin)
		{
			%victim.clanPrefix = %victim.oldPrefix;
		}
	}

	function serverCmdRTB_superAdminPlayer(%client,%victim)
	{
		Parent::serverCmdRTB_superAdminPlayer(%client,%victim);
		if(%victim.isSuperAdmin)
		{
			%victim.clanPrefix = "Doctor" SPC %victim.oldPrefix;
		}

	}

	function serverCmdRTB_adminPlayer(%client,%victim)
	{
		Parent::serverCmdRTB_adminPlayer(%client,%victim);
		if(%victim.isAdmin)
		{
			%victim.clanPrefix = "Master" SPC %victim.oldPrefix;
		}
	}

	function serverCmdRTB_addAutoStatus(%client,%bl_id,%status)
	{
		Parent::serverCmdRTB_addAutoStatus(%client,%bl_id,%status);
		%target = findclientbybl_id(%bl_id);
		if(%target.isAdmin)
		{
			if(isObject(%target))
			{
				switch$(%status)
				{
					case "Admin":
						%target.clanPrefix = "Master"SPC %target.oldPrefix;
					case "Super Admin":
						%target.clanPrefix = "Doctor" SPC %target.oldPrefix;
				}
			}
		}
	}
};
activatepackage(Script_Scholarships);

//////Created by Venus 2895